using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;

public partial class Admin_YongHu_HuiYuan_ChaKan : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("查看会员", "网站后台", "查看会员", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }
    private void 撤消勋章(int ID,int 位置)
    {
        String 勋章地址;

        SqlCommand 语句 = new SqlCommand("SELECT [勋章] FROM [" + 程序.数据表前缀 + "社区_用户_用户] WHERE [ID]=" + ID, 访问.连接);
        SqlDataReader 读取 = 语句.ExecuteReader();
        if (读取.Read())
        {
            勋章地址 = Convert.ToString(读取["勋章"]);
            读取.Close();
        }
        else
        {
            读取.Close();
            throw new Exception("用户不存在");
        }

        if (勋章地址 != "")
        {
            String[] 勋章数组 = 勋章地址.Split(',');

            勋章地址="";
            for (int i = 0; i < 勋章数组.Length; i++)
                if (i != 位置)
                    勋章地址 += 勋章地址 == "" ? 勋章数组[i] : "," + 勋章数组[i];
        }

        语句 = new SqlCommand("UPDATE [" + 程序.数据表前缀 + "社区_用户_用户] SET [勋章]=@勋章 WHERE [ID]=" + ID, 访问.连接);
        语句.Parameters.Add("@勋章", SqlDbType.NVarChar).Value = 勋章地址;
        语句.ExecuteNonQuery();

        访问统计_管理记录 记录 = new 访问统计_管理记录(this.Context, 访问.连接);
        记录.记录("撤消勋章", 访问.用户["昵称"].ToString());
    }
    private void ZhiXing()
    {
        访问.验证管理员();

        int ID = Convert.ToInt32(Request.QueryString["ID"]);

        if (Request.QueryString["del"] != null)
            撤消勋章(ID, Convert.ToInt32(Request.QueryString["del"]));

        Hashtable 会员 = 常用.SQL_获取(new SqlCommand("SELECT * FROM [" + 程序.数据表前缀 + "社区_用户_用户] WHERE [ID]=" + ID, 访问.连接));
        if (会员 == null)
            throw new Exception("会员不存在");

        this.ID.Text = 会员["ID"].ToString();
        TouXiang.ImageUrl = 会员["头像"].ToString();
        NiChen.Text = Server.HtmlEncode(会员["昵称"].ToString());
        ShouJiHao.Text = Convert.ToString(会员["手机号"]);
        BiaoShi.Text = Server.HtmlEncode(会员["标识"].ToString());
        XingBie.Text = Convert.ToBoolean(会员["性别"]) ? "男" : "女";
        JiFen.Text = 会员["积分"].ToString();
        ZuiHouFangWenShiJian.Text = Convert.ToString(会员["最后访问时间"]);
        ZuiHouDenLuShiJian.Text = Convert.ToString(会员["最后登录时间"]);
        ZuiHouDenLuIP.Text = Convert.ToString(会员["最后登录IP"]);
        ZuiHouDenLuDiQu.Text = Convert.ToString(会员["最后登录地区"]);
        DenJi.Text = Convert.ToString(会员["等级"]);
        SuoZaiWeiZhi.Text = Server.HtmlEncode(会员["所在位置"].ToString());
        ShiFouJiaHei.Text = Convert.ToBoolean(会员["是否加黑"]) ? "加黑" : "未加黑";
        if (Convert.ToString(会员["勋章"]) != "")
        {
            String 勋章代码 = "";
            String[] 勋章数组 = Convert.ToString(会员["勋章"]).Split(',');
            for (int i = 0; i < 勋章数组.Length; i++)
                勋章代码 += "<img src=\"" + Server.HtmlEncode(勋章数组[i]) + "\" alt=\"勋章\" />" +
                    "<a href=\"HuiYuan_ChaKan.aspx?ID="+ID+"&del=" + i + "\">撤消</a>";
            XinZhang.Text = 勋章代码;
        }

        设置 资料 = new 设置(Convert.ToString(会员["个人资料"]));
        String 资料列表 = "<table class=\"tab3\" border=\"0\" cellpadding=\"0\" cellspacing=\"1\">";
        foreach (object 键 in 资料.数据项.Keys)
        {
            资料列表 += "<tr><td style=\"width:200px\">&nbsp;&nbsp;&nbsp;&nbsp;" +
                "<strong>"+Server.HtmlEncode(键.ToString())+"</strong>" +
                "</td><td>" +
                Server.HtmlEncode(资料[键.ToString()].ToString()) +
                "</td></tr>";
        }
        资料列表 += "</table>";
        ZiLiaoLieBiao.Text = 资料列表;
    }
}
